Bug 828131 - [FEAT] XML changes required for management console
[FEAT] XML changes required for management console
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Kaushal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 06:28 EDT by Kaushal
Modified: 2013-07-24 13:55 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:55:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaushal 2012-06-04 06:28:05 EDT
This is a tracking bug for XML changes required for Gluster Management Console.
1) Show proper volume type in "volume info" (preferably a string instead of a 
   number)
2) "volume status all" in single XML document
3) Include tasks with uuid in status output
4) XML output for "volume replace-brick"
5) XML output for "volume rebalance"
6) XML output for "volume remove-brick"
Comment 1 Kaushal 2012-10-10 03:18:14 EDT
Patch under review at http://review.gluster.org/3869
Comment 2 Vijay Bellur 2012-10-11 19:34:26 EDT
CHANGE: http://review.gluster.org/3869 (cli: Changes and enhancements to XML output) merged in master by Anand Avati (avati@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.